import { Constructor } from "web-utility";
import { Location } from "history";
import React, { Component, PureComponent } from "react";
export interface StaticContext {
    statusCode?: number | undefined;
}
export interface match<Params extends Partial<Record<keyof Params, string>> = {}> {
    url: string;
    path: string;
    params: Params;
}
export interface RouteComponentProps<Params extends Partial<Record<keyof Params, string>> = {}, Context extends StaticContext = StaticContext, Query extends Record<string, any> = {}> {
    location: Location;
    match: match<Params>;
    query: Query;
    staticContext?: Context;
}
/**
 * @see https://v5.reactrouter.com/web/api/withRouter
 */
export function withRouter(Class: Constructor<Component<RouteComponentProps> | PureComponent<RouteComponentProps>>): () => React.JSX.Element;

//# sourceMappingURL=index.d.ts.map
